
Katello - Bug #4635

(nightlies 3-11-14) fails to install

03/11/2014 02:59 PM - Erik Jacobs

Status: Closed   

Priority: Normal   

Assignee:    

Category: Installer   

Target version: Katello 2.0   

Difficulty:  Fixed in Releases:  

Triaged: Yes Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

[root@satellite ~]# grep ERROR /var/log/katello/katello-install/katello-install.log

[ INFO 2014-03-11 10:19:07 main] #    ErrorDocument 500 /error/HTTP_INTERNAL_SERVER_ERROR.html.var

[ERROR 2014-03-11 10:19:35 main] 

/Stage[main]/Candlepin::Database/Postgresql::Server::Db[candlepin]/Postgresql::Server::Role[candlepin]/Postgresql_psql[CREATE

ROLE "candlepin" ENCRYPTED PASSWORD 'md5e50185a5433daef9159bc3fe80d8024b' LOGIN NOCREATEROLE

NOCREATEDB NOSUPERUSER  CONNECTION LIMIT -1]: Failed to call refresh: Error executing SQL; psql returned 256: 'ERROR:

role "candlepin" already exists

[ERROR 2014-03-11 10:19:41 main]  /Stage[main]/Candlepin::Database/Exec[cpdb]: Failed to call refresh: liquibase

--driver=org.postgresql.Driver                          

--classpath=/usr/share/java/postgresql-jdbc.jar:/var/lib/tomcat6/webapps/candlepin/WEB-INF/classes/                          

--changeLogFile=db/changelog/changelog-create.xml                           --url=jdbc:postgresql:candlepin                          

--username=candlepin                            --password=xPT723u9ii3no9RzZSxtb2yfN9GEm9ZQ                           migrate                        

-Dcommunity=False                           >> /var/log/candlepin/cpdb.log                           2>&1 && touch /var/lib/candlepin/cpdb_done

returned 255 instead of one of [0] at /usr/share/katello-installer/modules/candlepin/manifests/database.pp:34

[ INFO 2014-03-11 10:21:18 main] -# WARN, DEBUG, ERROR, FATAL, INFO, UNKNOWN

[ INFO 2014-03-11 10:21:18 main] -:log_level: ERROR

[ERROR 2014-03-11 10:22:55 main]  /Stage[main]/Candlepin::Service/Exec[cpinit]/returns: change from notrun to 0 failed:

/usr/bin/wget --timeout=30 --tries=5 --retry-connrefused -qO http://localhost:8080/candlepin/admin/init >/var/log/candlepin/cpinit.log

2>&1 && touch /var/lib/candlepin/cpinit_done returned 8 instead of one of [0] at

/usr/share/katello-installer/modules/candlepin/manifests/service.pp:16

[ERROR 2014-03-11 10:22:55 main]  /Stage[main]/Candlepin::Service/Exec[cpinit]: Failed to call refresh: /usr/bin/wget --timeout=30

--tries=5 --retry-connrefused qO http://localhost:8080/candlepin/admin/init >/var/log/candlepin/cpinit.log 2>&1 && touch

/var/lib/candlepin/cpinit_done returned 8 instead of one of [0] at

/usr/share/katello-installer/modules/candlepin/manifests/service.pp:16

[ERROR 2014-03-11 10:23:10 main]  /Stage[main]/Foreman::Database/Foreman::Rake[db:seed]/Exec[foreman-rake-db:seed]:

Failed to call refresh: /usr/sbin/foreman-rake db:seed returned 1 instead of one of [0] at

/usr/share/katello-installer/modules/foreman/manifests/rake.pp:9

Whole log is attached.

History

#1 - 03/11/2014 04:07 PM - Erik Jacobs

Hostname resolution issue.  Please close.

#2 - 03/13/2014 03:31 PM - Eric Helms

- Status changed from New to Closed

#3 - 06/06/2014 01:40 PM - Eric Helms

- Triaged set to Yes

#4 - 08/21/2014 02:30 PM - Eric Helms

- translation missing: en.field_release set to 13
